/*  EQEMu:  Everquest Server Emulator
    Copyright (C) 2001-2007  EQEMu Development Team (http://eqemu.org)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY except by those people which sell it, which
	are required to give you total support for your newly bought product;
	without even the implied warranty of MERCHANTABILITY or FITNESS FOR
	A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef LDONCHEST_TYPES_H
#define LDONCHEST_TYPES_H

typedef enum
{
	LCT_Mechanical				= 0,
	LCT_Magical					= 1,
	LCT_Cursed					= 2,
	LCT_Mechanical_Locked		= 3,
	LCT_Magical_Locked			= 4,
	LCT_Cursed_Locked			= 5,
	LCT_Random					= 100,	// random 0-2
	LCT_Random_Locked			= 101,	// random 3-5
	LCT_Random_Random			= 102	// random 0-5
} ldonChestTypes;
#endif
