/*  EQEMu:  Everquest Server Emulator
    Copyright (C) 2001-2007  EQEMu Development Team (http://eqemu.org)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY except by those people which sell it, which
	are required to give you total support for your newly bought product;
	without even the implied warranty of MERCHANTABILITY or FITNESS FOR
	A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef LDONCHESTS_H
#define LDONCHESTS_H
#include "npc.h"
#include "mob.h"
#include "client.h"
#include "spawn2.h"
#include "loottable.h"
#include "zonedump.h"

void	LDoNChest_Handle_Open(Client* client, NPC* chest);
void	LDoNChest_Handle_Appraise(Client* client, NPC* chest, int clientskill, int failmsgid);
void	LDoNChest_Handle_Disarm(Client* client, NPC* chest, int clientskill);
void	LDoNChest_Handle_Picklock(Client* client, NPC* chest, int clientskill);
int		LDoNChest_SkillCheck(NPC* target, int skill);// returns: 0...failure, 1...success, -1...critical failure

#endif
