#ifndef STRING_IDS
#define STRING_IDS

#define STRING_FEIGNFAILED 1456 //%1 has fallen to the ground.
#define STRING_SURNAME_TOO_LONG 12942 //Surname must be less than 20 characters in length.
#define DUEL_DECLINE 1383 //%1 has declined your challenge to duel to the death.
#define	DUEL_ACCEPTED 1384 //%1 has already accepted a duel with someone else.
#define DUEL_CONSIDERING 1385 //%1 is considering a duel with someone else.
#define DUEL_INPROGRESS	13251 //You have already accepted a duel with someone else cowardly dog.
#define FORAGE_WATER 151 //You have scrounged up some water.
#define FORAGE_GRUBS 150 //You have scrounged up some fishing grubs.
#define FORAGE_FOOD 152 //You have scrounged up some food.
#define FORAGE_DRINK 153 //You have scrounged up some drink.
#define FORAGE_NOEAT 154 //You have scrounged up something that doesn't look edible.
#define FORAGE_FAILED 155 //You fail to locate any food nearby.
#define WHOALL_NO_RESULTS 5029 //There are no players in EverQuest that match those who filters.
#define MERCHANT_BUSY 1143 //I'm sorry, I am busy right now.
#define PLAYER_CHARMED 1461 //You lose control of yourself!
#define PLAYER_REGAIN 1394 //You have control of yourself again.
#define TRADESKILL_TRIVIAL 338 //You can no longer advance your skill from making this item.
#define TRADESKILL_SUCCEED 339 //You have fashioned the items together to create something new!
#define TRADESKILL_FAILED 336 //You lacked the skills to fashion the items together.
#define TRADESKILL_NOCOMBINE 334 //You cannot combine these items in this container type!
#define PROC_TOOLOW 126 //Your will is not sufficient to command this weapon.
#define PROC_PETTOOLOW 127 //Your pet's will is not sufficient to command its weapon.
#define REZ_REGAIN 289 //You regain some experience from resurrection.
#define GAIN_XP 138 //You gain experience!!
#define GAIN_GROUPXP 139 //You gain party experience!!
#define PVP_ON 552 //You are now player kill and follow the ways of Discord.
#define LOOT_LORE_ERROR 371 //You cannot loot this Lore Item.  You already have one.
#define SPELL_FIZZLE 173 // Your spell fizzles!
#define SPELL_FIZZLE_OTHER 1218 // %1's spell fizzles!
#define MISS_NOTE 180 // You miss a note, bringing your song to a close!
#define MISS_NOTE_OTHER 1219 // A missed note brings %1's song to a close!
#define INTERRUPT_SPELL 439 //Your spell is interrupted.
#define INTERRUPT_SPELL_OTHER 12478 //%1's casting is interrupted!
#define SONG_ENDS 12687 //Your song ends.
#define SONG_ENDS_OTHER 12688 //%1's song ends.
#define SONG_ENDS_ABRUPTLY 12686 //Your song ends abruptly.
#define SONG_ENDS_ABRUPTLY_OTHER 12689 //%1's song ends abruptly.
#define SPELL_LEVEL_TO_LOW 12048 //You will have to achieve level %1 before you can scribe the %2.
#define CORPSE_DECAY1 495 //This corpse will decay in %1 minute(s) %2 seconds.
#define CORPSE_DECAY_NOW 1227 //This corpse is waiting to expire.
#define GENERIC_STRING 6688 //%1  (used to any basic message)
#define NOT_IN_CONTROL 12368 //You do not have control of yourself right now.
#define GENERIC_MISS 15041 //%1 missed %2
#define CRITICAL_HIT 1023 //%1 scores a critical hit! (%2)
#define HIT_NON_MELEE 9073 //%1 hit %2 for %3 points of non-melee damage.
#define NOT_SCARING 164 //You're not scaring anyone.
#define TOGGLE_ON 13172 //Asking server to turn ON your incoming tells.
#define TOGGLE_OFF 13173 //Asking server to turn OFF all incoming tells for you.
#define FACE_ACCEPTED 12028 //Facial features accepted.
#define CANNOT_WAKE 555 //%1 tells you, 'I am unable to wake %2, master.'
#define PET_ATTACKING 5501 //%1 tells you, 'Attacking %2 Master.'
#define PET_REPORT_HP 488 //I have %1 percent of my hit points left.
#define GENERIC_STRINGID_SAY 554 //%1 says '%T2'
#define GENERIC_SAY 1032 //%1 says '%2'
#define GENERIC_SHOUT 1034 //%1 shouts '%2'
#define GENERIC_EMOTE 1036 //%1 %2
#define PET_GETLOST_STRING 1135 //As you wish, oh great one.
#define PET_LEADERIS 1136 //My leader is %3.
#define PET_GUARDINGLIFE 1134 //Guarding with my life..oh splendid one.
#define PET_FOLLOWING 1132 //Following you, Master.
#define PET_GUARDME_STRING 1133 //Guarding you, Master.
#define PET_SIT_STRING 1130 //Changing position, Master.
#define PETITION_NO_DELETE 5053 //You do not have a petition in the queue.
#define PETITION_DELETED 5054 //Your petition was successfully deleted.
#define MEND_SUCCESS 350 //You mend your wounds and heal some damage.
#define MEND_WORSEN 351 //You have worsened your wounds!
#define MEND_FAIL 352 //You have failed to mend your wounds.
#define TARGET_TOO_FAR 124 //Your target is too far away, get closer!
#define TRY_ATTACKING_SOMEONE 12696 //Try attacking someone other than yourself, it's more productive.
#define DISCIPLINE_RDY 393 //You are ready to use a new discipline now.
#define DISCIPLINE_CONLOST 278 //You lose the concentration to remain in your fighting discipline.
#define DISCIPLINE_CANUSEIN 504 //You can use a new discipline in %1 minutes %2 seconds.
#define DISCIPLINE_FEARLESS 1076 //%1 becomes fearless.
#define PET_CALMING 1131 //Sorry, Master..calming down.
#define GAIN_ABILITY_POINT 446 //You have gained an ability point!  You now have %1 ability point%2.
#define GAIN_LEVEL 447 //You have gained a level! Welcome to level %1!
#define LOSE_LEVEL 442 //You LOST a level! You are now level %1!
#define GM_GAINXP 1002 //[GM] You have gained %1 AXP and %2 EXP (%3).
#define PICK_LORE 379 //You cannot pick up a lore item you already possess.
#define FINISHING_BLOW 1009 //%1 scores a Finishing Blow!!
#define OTHER_HIT_NONMELEE 434 //%1 was hit by non-melee for %2 points of damage.
#define YOU_HIT_NONMELEE 12481 //You were hit by non-melee for %1 damage.
#define OTHER_HIT_DOT 9072 // %1 has taken %2 damage from your %3.
#define BEAM_SMILE 12501 //%1 beams a smile at %2
#define FACTION_WORST 469 //Your faction standing with %1 could not possibly get any worse.
#define FACTION_WORSE 470 //Your faction standing with %1 got worse.
#define FACTION_BEST 471 //Your faction standing with %1 could not possibly get any better.
#define FACTION_BETTER 472 //Your faction standing with %1 got better.
#define CANNOT_SAC_SELF 205 //You cannot sacrifice yourself.
#define CANNOT_AFFECT_PC 210 //That spell can not affect this target PC.
#define CANT_DRAIN_SELF 224 //You can't drain yourself!
#define CANNOT_MEZ 239 //Your target cannot be mesmerized.
#define CANNOT_MEZ_WITH_SPELL 240 //Your target cannot be mesmerized (with this spell).
#define IMMUNE_STUN	241 //Your target is immune to the stun portion of this effect.
#define IMMUNE_ATKSPEED 242 //Your target is immune to changes in its attack speed.
#define IMMUNE_FEAR 243 //Your target is immune to fear spells.
#define IMMUNE_MOVEMENT 244 //Your target is immune to changes in its run speed.
#define CANNOT_CHARM 267 //This NPC cannot be charmed.
#define CANNOT_CHARM_YET 248 //Your target is too high of a level for your charm spell.
#define SPELL_NO_HOLD 263 //Your spell did not take hold.
#define NO_PET 255 //You do not have a pet.
#define SPELL_NEED_TAR 214 //You must first select a target for this spell!
#define ALREADY_CASTING 12442 //You are already casting a spell!
#define REGAIN_AND_CONTINUE 270 //You regain your concentration and continue your casting.
#define OTHER_REGAIN_CAST 1033 //%1 regains concentration and continues casting.
#define ADVENTURE_COMPLETE 5147
#define RECEIVED_PLATINUM 1452 // You receive %1 Platinum from %2.
#define RECEIVED_GOLD 1453 // You receive %1 Gold from %2.
#define RECEIVED_SILVER 1454 // You receive %1 Silver from %2.
#define RECEIVED_COPPER 1455 // You receive %1 Copper from %2.
#define MISSING_SPELL_COMP 272 // You are missing some required spell components.
#define MISSING_SPELL_COMP_ITEM 433 //You are missing %1.
#define MISSED_NOTE_OTHER 1219 // A missed note brings %1's song to a close!
#define CANT_SEE_TARGET 108 // You cannot see your target.
#define BEGINS_TO_GLOW 422 // Your %1 begins to glow.
#define CORPSE_NOT_VALID 230 //This corpse is not valid.
#define ONLY_ON_CORPSES 221 //This spell only works on corpses.
#define TGB_ON 293 //Target other group buff is *ON*.
#define TGB_OFF 294 //Target other group buff is *OFF*.
#define YOU_ARE_PROTECTED 424 //%1 tries to cast a spell on you, but you are protected.
#define NOW_INVISIBLE 12950 // %1 is now Invisible.
#define NOW_VISIBLE 12951 // %1 is now Visible.
#define DOORS_LOCKED				130				/* It's locked and you're not holding the key.*/
#define DOORS_CANT_PICK				131				/* This lock cannot be picked.*/
#define DOORS_INSUFFICIENT_SKILL	132				/* You are not sufficiently skilled to pick this lock.*/
#define	DOORS_GM					133				/* You opened the locked door with your magic GM key.*/
#define	DOORS_SUCCESSFUL_PICK		1457			/* You successfully picked the lock.*/
#define	DOORS_NO_PICK				7564			/* You must have a lock pick in your inventory to do this.*/
#define SPELL_WORN_OFF 437 //Your %1 spell has worn off.
#define SPELL_WORN_OFF_OF 436 //Your %1 spell has worn off of %2.
#define TARGET_RESISTED 425 //Your target resisted the %1 spell.
#define YOU_RESIST 426 //You resist the %1 spell!
#define BERSERK_START 1027 //%1 goes into a berserker frenzy!
#define BERSERK_END 1030 //%1 is no longer berserk.
#define ASSASSINATES 1016 //%1 ASSASSINATES their victim!!
#define RESISTS_URGE 1025 //%1 resists their urge to flee.
#define GATES 1031 //%1 Gates.
#define ONLY_ONE_PET 246 //You cannot have more than one pet at a time.
#define ALREADY_INVIS 423 //%1 tries to cast an invisibility spell on you, but you are already invisible.
#define SUMMONING_CORPSE 429 //Summoning your corpse.
#define SUMMONING_CORPSE_OTHER 430 //Summoning %1's corpse.
#define CORPSE_CANT_SENSE 262 //You cannot sense any corpses for this PC in this zone.
#define SENTINEL_TRIG_YOU 6724 //You have triggered your sentinel.
#define SENTINEL_TRIG_OTHER 6725 //%1 has triggered your sentinel.
#define IDENTIFY_SPELL 6765 //Item Lore: %1.
#define NOT_HOLDING_ITEM 12452 //You are not holding an item!
#define AA_GAIN_ABILITY 410 //You have gained the ability "%T1" at a cost of %2 ability %T3.
#define AA_IMPROVE 411 //You have improved %T1 %2 at a cost of %3 ability %T4.
#define AA_POINT 1197 //point
#define AA_POINTS 1215 //points
#define MERCHANT_GREETING 1144 //Welcome to my shop, %3.
#define MERCHANT_HANDY_ITEM1 1145 //Hello there, %3. How about a nice %4?
#define MERCHANT_HANDY_ITEM2 1146 //Greetings, %3. You look like you could use a %4.
#define MERCHANT_HANDY_ITEM3 1147 //Hi there %3, just browsing?  Have you seen the %4 I just got in?
#define MERCHANT_HANDY_ITEM4 1148 //Welcome to my shop, %3. You would probably find a %4 handy.
#define DUEL_FINISHED 1088 //dont know text
#define DUEL_FLED 1408 //dont know text, might not be 'fled' message per-se
#define FISHING_SUCCESS 170		//you catch something....
#define FISHING_LOST_BAIT 172	//something about you lost your bait
#define FISHING_FAILED 168	//you failed to catch anything
#define DISC_LEVEL_ERROR 503 //You must be a level %1 ... to use this discipline.
#define DISC_LEVEL_USE_ERROR 13004	//You are not sufficient level to use this discipline.
#define CONSENT_DENIED 390 //You do not have consent to summon that corpse.
#define CONSENT_INVALID_NAME 397 //Not a valid consent name.
#define CONSENT_NPC 398 //You cannot consent NPC\'s.
#define CONSENT_YOURSELF 399  //You cannot consent yourself.
#define TARGET_NOT_FOUND 101 //Target player not found.
#define ATTACKFAILED 12158 //%1 try to %2 %3, but %4!
#define BACKSTAB_STRING 12199 //backstab
#define BACKSTAB_WEAPON 12874 //You need a piercing weapon as your primary weapon in order to backstab
#define BASH_STRING 12201 //bash
#define HIT_STRING 12183 //hit
#define CRUSH_STRING 12191 //crush
#define PIERCE_STRING 12193 //pierce
#define KICK_STRING 12195 //kick
#define STRIKE_STRING 12197 //strike
#define LOOTED_MESSAGE 467	//--You have looted a %1--
#define OTHER_LOOTED_MESSAGE 466	//--%1 has looted a %2--
#define EATING_MESSAGE 1091	//Chomp, chomp, chomp...  %1 takes a bite from a %2.
#define DRINKING_MESSAGE 1093 //Glug, glug, glug...  %1 takes a drink from a %2.
#define MORE_SKILLED_THAN_I 12931 //%1 tells you, 'You are more skilled than I!  What could I possibly teach you?'
#define LDT_DONT_KNOW_TRAPPED	7552 // You do not know if this object is trapped.
#define LDT_HAVE_DISARMED	7553 // You have disarmed %1!
#define LDT_ACCIDENT_SETOFF	7554 // You accidentally set off the trap!
#define LDT_HAVE_NOT_DISARMED 7555 // You have not disarmed %1.
#define LDT_ACCIDENT_SETOFF2	7556 // You accidentally set off the trap!
#define LDT_CERTAIN_TRAP	7557 // You are certain that %1 is trapped.
#define LDT_CERTAIN_NOT_TRAP	7558 // You are certain that %1 is not trapped.
#define LDT_CANT_DETERMINE_TRAP	7559 // You are unable to determine if %1 is trapped.
#define LDT_PICKLOCK_SUCCESS	7560	// You have successfully picked %1!
#define LDT_PICKLOCK_FAILURE	7561 // You have failed to pick %1.
#define LDT_STILL_LOCKED	7562 // You cannot open %1, it is locked.
#define LDT_BASH_CHEST	7563 // %1 try to %2 %3, but do no damage.
#define LDT_NO_LOCKPICK	7564 // You must have a lock pick in your inventory to do this.
#define LDT_WAS_NOT_LOCKED 7565 // %1 was not locked.
#define LDT_WAS_NOT_TRAPPED 7566 // %1 was not trapped
#define LDT_SENSE_TRAP1 306 // You do not Sense any traps.
#define LDT_SENSE_TRAP2 367 // You have not detected any traps.
#define LDT_SENSE_TRAP3 12476 // You don't sense any traps.
#endif
